Subject: RE: static vs dynamic addresses for apps [RE: v6 deployment in general [Re: tunnel broker deployment [RE: Tunneling scenarios and mechanisms evaluation]]]

From: "Soliman Hesham" <[email-masked]>
Date: Tue, 16 Mar 2004 02:00:54 -0500

> On Tue, 16 Mar 2004, Soliman Hesham wrote:
 > >  > On Mar 15, 2004, at 1:11 PM, Pekka Savola wrote:
 > >  > > So, you want to build a simple application.  Don't we
 > >  > > all.. :)  But I
 > >  > > don't think this is something we can guarantee even 
 > with native
 > >  > > access.  
 > > 
 > > => Yes we can ! Why not? 
 > 
 > I think you're missing the context here.  Would you build an 
 > application which would only work if the user's IPv6 address is 
 > static, and not for the others?

=> That's a different question, ideally no, but I
haven't surveyed all apps to see what best meets
their requirements. My point is, if such app is needed
we can certainly satisfy that need. There are several
examples for apps that need a static address for reachability. 
But I'm not an app designer and wouldn't want to
make general statements about what applications need.

 > >  > ISPs just aren't offering static v4 addresses 
 > >  > today 
 > > 
 > > => Yes they are ! You just pay more for them.
 > 
 > That's true of course .. but what do you think the user will choose,
 > if given a dynamic (or reasonably static) prefix for free, or having
 > to pay 5$/mo extra for a prefix which is guaranteed to be static?

=> I don't think (hope) that the user will need to make
that choice with IPv6. There is certainly no technical reason
for operators to continue doing that, but hey, when did
that ever count! On the other hand, I know that some users pay for 
static addresses today and I don't see why they wouldn't
do the same for IPv6. So independently of the choice I think
the same user who wants a static address today will want 
it tomorrow and there is no reason why the user will not 
want to pay for it. 

 > 
 > I want the prefixes to be static as much as you do -- but I have
 > difficult time visualizing static prefixes to be so widely used that
 > applications, which could be run on all kinds of networks, could be
 > able to make an assumption that *all* the prefixes are static.  

=> Ok, but you seem to be generalising here. First of all,
some applications are not needed on all types of networks.
Some apps will only run on certain networks. I don't think
all app designers target all networks. So I wouldn't be surprised
if other assumptions are made by app designers, just like 
they make assumptions on the use scenario.

Hesham